<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku Map3D.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_map3_d_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku Map3D.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_map3_d.html" title="Opakowanie okna z obiektami trójwymiarowymi.">Map3D</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla Map3D.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_map3_d_8hpp__incl.png" border="0" usemap="#a_map3_d_8hpp" alt=""/></div>
<map name="a_map3_d_8hpp" id="a_map3_d_8hpp">
<area shape="rect" title="Definicja klasy Map3D." alt="" coords="144,5,231,31"/>
<area shape="rect" href="_viewer_8hpp.html" title="Definicja klasy Viewer." alt="" coords="77,79,164,104"/>
<area shape="poly" title=" " alt="" coords="178,33,143,70,139,67,174,29"/>
<area shape="rect" href="_framed_widget_8hpp.html" title="Definicja klasy FramedWidget." alt="" coords="207,79,338,104"/>
<area shape="poly" title=" " alt="" coords="203,29,250,68,247,72,199,33"/>
<area shape="rect" href="_robot_model_8hpp.html" title="Definicja klasy RobotModel." alt="" coords="27,152,142,177"/>
<area shape="poly" title=" " alt="" coords="117,106,99,141,94,138,112,103"/>
<area shape="rect" title=" " alt="" coords="5,225,164,251"/>
<area shape="poly" title=" " alt="" coords="87,178,87,212,82,212,82,178"/>
<area shape="rect" title=" " alt="" coords="166,152,235,177"/>
<area shape="poly" title=" " alt="" coords="263,106,224,144,220,140,259,102"/>
<area shape="rect" title=" " alt="" coords="259,152,323,177"/>
<area shape="poly" title=" " alt="" coords="278,104,287,138,282,140,273,105"/>
<area shape="rect" title=" " alt="" coords="348,152,451,177"/>
<area shape="poly" title=" " alt="" coords="294,102,368,143,365,147,292,106"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_map3_d_8hpp__dep__incl.png" border="0" usemap="#a_map3_d_8hppdep" alt=""/></div>
<map name="a_map3_d_8hppdep" id="a_map3_d_8hppdep">
<area shape="rect" title="Definicja klasy Map3D." alt="" coords="146,5,233,31"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,79,185,104"/>
<area shape="poly" title=" " alt="" coords="172,43,138,80,134,77,168,39"/>
<area shape="rect" href="_map3_d_8cpp.html" title="Definicje metod klasy Map3D." alt="" coords="210,79,297,104"/>
<area shape="poly" title=" " alt="" coords="211,39,245,77,241,80,207,43"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,152,125,177"/>
<area shape="poly" title=" " alt="" coords="109,116,77,154,73,150,105,113"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,152,224,177"/>
<area shape="poly" title=" " alt="" coords="146,113,179,150,175,154,142,116"/>
</map>
</div>
</div>
<p><a href="_map3_d_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_map3_d.html">Map3D</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opakowanie okna z obiektami trójwymiarowymi.  <a href="class_map3_d.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_map3_d.html" title="Opakowanie okna z obiektami trójwymiarowymi.">Map3D</a>, która dziedziczy po klasie <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a> i stanowi kontener na okno wyświetlające obiekty 3D. </p>

<p class="definition">Definicja w pliku <a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>.</p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_map3_d_8hpp.html">Map3D.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
